#include <bits/stdc++.h>

using namespace std;

int main() {
    int n;
    cin >> n;

    vector<int> nizA(n), nizB(n);

    // Unos nizova A i B
    for (int i = 0; i < n; i++) {
        cin >> nizA[i];
    }
    for (int i = 0; i < n; i++) {
        cin >> nizB[i];
    }

    int maksimalnaVrednost = 0;

    // Prolazimo kroz sve pocetne tacke podnizova
    for (int i = 0; i < n; i++) {
        int xorVrednost = 0;
        int andVrednost = nizB[i]; // Pocetni AND vrednost je B[i]
        for (int j = i; j < n; j++) {
            xorVrednost ^= nizA[j]; // XOR sve do trenutnog indeksa j
            andVrednost &= nizB[j]; // AND sve do trenutnog indeksa j
            maksimalnaVrednost = max(maksimalnaVrednost, xorVrednost * andVrednost); // Racunanje vrednosti podniza
        }
    }

    cout << maksimalnaVrednost << endl;
    return 0;
}